connector-adapters

Operations of the Connector Gateway API. Paths are relative to your deployment's API host.

GET /api/connector-gateway-api/projects/{projectId}/adapters

List project adapter configs

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes
StatusDescriptionBody
200application/json AdapterConfigResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/connector-gateway-api/projects/{projectId}/adapters

Configure integration adapter for project scope

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes

Request body: application/json ConfigureAdapterDto

StatusDescriptionBody
200application/json AdapterConfigResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/connector-gateway-api/projects/{projectId}/adapters/{adapterKey}/status

Get adapter status for project scope

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
adapterKeypathone of "DOCUMENTATION", "TRACKER", "SCM", "NPM_REGISTRY", "CONTAINER_REGISTRY", "MAIL_INTAKE", "MAIL_EGRESS", "CONVERSATION"yes
projectIdpathstringyes
StatusDescriptionBody
200application/json AdapterConfigResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto